using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.TiaoZhengHeFeiYongDan
{
    public partial class W_YFKTZD_Edit
    {
        public W_YFKTZD_Edit()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();

            string EditModel = string.Empty;

            string CurUserId = A8ERP.AppService.GetUserID();

            this.SetParm("CurUserId", CurUserId);

            DataWindowChild dwc = dw_1.GetChild("gysbh");
            dwc.SetTransaction(this.AdoTransaction);
            dwc.Retrieve();

            dwc = dw_1.GetChild("tzxz");
            dwc.SetTransaction(this.AdoTransaction);
            dwc.Retrieve("cw_tzxz");

            dwc = dw_1.GetChild("bmbh");
            dwc.SetTransaction(this.AdoTransaction);
            dwc.Retrieve(CurUserId,"%");

            EditModel = Request["curParm1"].ToString().Trim();
            this.SetParm("EditModel", EditModel);

            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_YFKTZD_Edit", "/CaiWu/TiaoZhengHeFeiYongDan/W_YFKTZD_Edit.win.js");
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js");
            }
        }
    }
}
